name=Manifest Files Demo
dls.Organization=Organizations
text=Text
section=Chapter
document=Book
dls.Titles=Titles
dls.Keyword=How to
dls.Subject=Subjects

textdate=publication date\: 
textnumpages=no. of pages\: 
textsource=source ref\: 

shortDescription=<p>This demonstration collection contains the same material as the original Greenstone demo collection. In addition it has some predefined manifest files, to show off their use with incremental building.</p>

description=<h3>Features of this collection</h3> \n\
<ul> \n\
<li>Uses <tt>lucene</tt> to do incremental build.</li> \n\
<li>Uses OIDtype <tt>dirname</tt> to make it easy to specify document ids for deletion.</li> \n\
<li><tt>import</tt> folder and import.extra folder with additional material.</li> \n\
<li><tt>manifests</tt> folder contains the manifest files.</li> \n\
<li>Index, Reindex, Delete.</li> \n\
<li>Filename/OID uses command line building.</li> \n\
</ul> \n\


description0=<h3>Instructions</h3><br /><p>0. Run setup/source setup.bash in top level before starting.</p><br />

description1=<p>1. Build the collection initially\:<br /> \n\
<pre>perl -S import.pl -site localsite documented-examples/manifest-demo-e \n\
perl -S buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
<i>Note\:</i> If you forget to pass in the <tt>-activate</tt> flag to the <tt>buildcol</tt> command, use a file explorer to go into your Greenstone 3 installations's <tt>web/sites/localsite/collect/documented-examples/manifest-demo-e</tt> folder, and rename the <tt>building</tt> subfolder there to <tt>index</tt>.)<br /> \n\
<br /> \n\
Preview the collection. Contains 8 documents, 5 from BOSTID and 3 from EC Courier.</p><br />

description2=<p>2. Add some new documents into the collection.<br /> \n\
<br /> \n\
Copy the three folders fb33fe fb34fe wb34te from import.extra into import. \n\
<br /> \n\
<pre>perl -S incremental-import.pl -site localsite -manifest manifests/add-new-files.xml documented-examples/manifest-demo-e \n\
perl -S incremental-buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
 \n\
Now there should be FAO Better Farming Documents, and one World Bank document.</p><br />

description3=<p>3. Delete some documents from the collection.<br /> \n\
<pre>perl -S incremental-import.pl -site localsite -manifest manifests/delete-some-files.xml documented-examples/manifest-demo-e \n\
perl -S incremental-buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
 \n\
Note that we haven't actually deleted the docs from the import folder. Just from the collection's <tt>archives</tt> and <tt>index</tt> subfolders.<br /> \n\
Now the EC Courier documents should be gone.</p><br />

description4=<p>4. Modify some metadata<br /> \n\
<pre>Copy import.extra/fb33fe-metadata.xml to import/fb33fe/metadata.xml \n\
Copy import.extra/fb34fe-metadata.xml to import/fb34fe/metadata.xml \n\
 \n\
perl -S incremental-import.pl -site localsite -manifest manifests/new-metadata.xml documented-examples/manifest-demo-e \n\
perl -S incremental-buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
 \n\
Preview and the new metadata should be there.</p>
